// http://akelpad.sourceforge.net/forum/viewtopic.php?p=3751#3751
// Version: 1.0
// Author: Shengalts Aleksander aka Instructor
//
//
// Description(1033): Select next word.
// Description(1049): Выделить следующее слово.

var hMainWnd=AkelPad.GetMainWnd();
var hWndEdit=AkelPad.GetEditWnd();

if (hWndEdit)
{
  if (AkelPad.IsAkelEdit())
  {
    AkelPad.SendMessage(hWndEdit, 3044 /*AEM_KEYDOWN*/, 0x27 /*VK_RIGHT*/, 0x02|0x04 /*AEMOD_SHIFT|AEMOD_CONTROL*/);
  }
  else
  {
    var WshShell=new ActiveXObject("WScript.Shell");

    //Wait for release all virtual keys
    AkelPad.SendMessage(hMainWnd, 1312 /*AKD_WAITKEYBOARD*/, 0, 0);

    WshShell.SendKeys("^+{RIGHT}");
  }
}
